
Redmine - Defect #6811

Updating of some records fails

2010-11-03 05:02 - phil cryer

Status: Closed Start date: 2010-11-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Overview

I cannot update some records in Redmine, most will work, but then others will just hang, giving no response. I'm running Debian

(squeeze), using Redmine (latest via git), was running behind Apache 2.2 and the latest Passenger (2.2.15), so I tried running it

under nginx (0.7.64) under the same version Passenger (2.2.15), and while it seems to run faster, I have the same issue.

More environment details

1. mysql --version

mysql  Ver 14.14 Distrib 5.1.49, for debian-linux-gnu (i486) using readline 6.1

2. ruby script/about

/var/lib/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is

deprecated and will be removed on or after August 2010.  Use #requirement

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /opt/redmine

Environment               development

Database adapter          mysql

Database schema version   20100819172912

Issue

When I try to update most records, they work instantaneously, but some, like http://projects.biodiversitylibrary.org/issues/211 never

update. I visit that link and click on 'Update', then from the dropdown by Status I choose 'Resolved', I enter two sentences in the

'Notes' section, and I hit 'Submit'

Logs

Webserver:

x.x.x.x - - [03/Nov/2010:02:58:00 +0000] "POST /issues/211 HTTP/1.1" 400 0 "http://projects.biodiv

ersitylibrary.org/issues/211" "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.12)

 Gecko/20101026 Firefox/3.6.12"

 

Debug from Redmine:

Processing IssuesController#show (for 24.107.203.87 at 2010-11-03 02:57:50) [GET]

  Parameters: {"action"=>"show", "id"=>"211", "controller"=>"issues"}

  SQL (0.1ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  User Load (0.1ms)   SELECT * FROM `users` WHERE (`users`.`id` = 3) AND (users.status = 1) AND ( 

(`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 
  Issue Load (0.1ms)   SELECT * FROM `issues` WHERE (`issues`.`id` = 211) 

  Project Load (0.1ms)   SELECT * FROM `projects` WHERE (`projects`.`id` = 10) 

  Tracker Load (0.0ms)   SELECT * FROM `trackers` WHERE (`trackers`.`id` = 4) 

  IssueStatus Load (0.0ms)   SELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` = 2) 

  User Load (0.0ms)   SELECT * FROM `users` WHERE (`users`.`id` = 24) AND ( (`users`.`type` = 'Use

r' OR `users`.`type` = 'AnonymousUser' ) ) 

  IssuePriority Load (0.0ms)   SELECT * FROM `enumerations` WHERE (`enumerations`.`id` = 4) AND ( 

(`enumerations`.`type` = 'IssuePriority' ) ) 

  EnabledModule Load (0.1ms)   SELECT name FROM `enabled_modules` WHERE (`enabled_modules`.project

_id = 10) 

  Journal Load (0.0ms)   SELECT * FROM `journals` WHERE (`journals`.journalized_id = 211 AND `jour

nals`.journalized_type = 'Issue') ORDER BY journals.created_on ASC

  User Load (0.0ms)   SELECT * FROM `users` WHERE (`users`.`id` = 3) AND ( (`users`.`type` = 'User

' OR `users`.`type` = 'AnonymousUser' ) ) 

  JournalDetail Load (0.0ms)   SELECT `journal_details`.* FROM `journal_details` WHERE (`journal_d

etails`.journal_id = 409) 

  UserPreference Load (0.0ms)   SELECT * FROM `user_preferences` WHERE (`user_preferences`.user_id

 = 3) LIMIT 1

  Changeset Load Including Associations (0.1ms)   SELECT `changesets`.`id` AS t0_r0, `changesets`.

`repository_id` AS t0_r1, `changesets`.`revision` AS t0_r2, `changesets`.`committer` AS t0_r3, `ch

angesets`.`committed_on` AS t0_r4, `changesets`.`comments` AS t0_r5, `changesets`.`commit_date` AS

 t0_r6, `changesets`.`scmid` AS t0_r7, `changesets`.`user_id` AS t0_r8, `repositories`.`id` AS t1_

r0, `repositories`.`project_id` AS t1_r1, `repositories`.`url` AS t1_r2, `repositories`.`login` AS

 t1_r3, `repositories`.`password` AS t1_r4, `repositories`.`root_url` AS t1_r5, `repositories`.`ty

pe` AS t1_r6, `projects`.`id` AS t2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS t2

_r2, `projects`.`homepage` AS t2_r3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2

_r5, `projects`.`created_on` AS t2_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` A

S t2_r8, `projects`.`status` AS t2_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11 FROM

 `changesets` LEFT OUTER JOIN `repositories` ON `repositories`.id = `changesets`.repository_id LEF

T OUTER JOIN `projects` ON `projects`.id = `repositories`.project_id INNER JOIN `changesets_issues

` ON `changesets`.id = `changesets_issues`.changeset_id WHERE (((projects.status=1 AND projects.id

 IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='repository')) AND (`changesets_is

sues`.issue_id = 211 )) AND (`changesets_issues`.issue_id = 211 )) ORDER BY changesets.committed_o

n ASC, changesets.id ASC

  Member Load Including Associations (0.1ms)   SELECT `members`.`id` AS t0_r0, `members`.`user_id`

 AS t0_r1, `members`.`project_id` AS t0_r2, `members`.`created_on` AS t0_r3, `members`.`mail_notif

ication` AS t0_r4, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` 

AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` 

AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifi

er` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11

, `roles`.`id` AS t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS t2_r2, `roles`.`assignable

` AS t2_r3, `roles`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5 FROM `members` LEFT OUTER J

OIN `projects` ON `projects`.id = `members`.project_id LEFT OUTER JOIN `member_roles` ON (`members

`.`id` = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`ro

le_id`) WHERE (`members`.user_id = 3 AND (projects.status=1)) ORDER BY projects.name

  Workflow Load (0.0ms)   SELECT * FROM `workflows` WHERE (`workflows`.old_status_id = 2 AND (`wor

kflows`.`tracker_id` = 4 AND `workflows`.`role_id` IN (3))) 

  IssueStatus Load (0.0ms)   SELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` IN (6,8,1

,3,4,5)) 

  IssueRelation Load (0.0ms)   SELECT * FROM `issue_relations` WHERE (`issue_relations`.issue_to_i

d = 211) 

  IssuePriority Load (0.0ms)   SELECT * FROM `enumerations` WHERE ( (`enumerations`.`type` = 'Issu

ePriority' ) ) ORDER BY enumerations.position ASC

  TimeEntryActivity Load (0.0ms)   SELECT * FROM `enumerations` WHERE (`enumerations`.`is_default`

 = 1) AND ( (`enumerations`.`type` = 'TimeEntryActivity' ) ) ORDER BY enumerations.position ASC LI

MIT 1

Rendering template within layouts/base

Rendering issues/show.rhtml

  User Load (0.0ms)   SELECT `users`.id FROM `users` INNER JOIN `watchers` ON `users`.id = `watche

rs`.user_id WHERE ((`watchers`.watchable_id = 211) AND (`watchers`.watchable_type = 'Issue')) AND 

( (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 

Rendered issues/_action_menu (6.0ms)

  Issue Load (0.1ms)   SELECT * FROM `issues` WHERE (((issues.id != 211) AND (issues.`lft` <= 1 AN

D issues.`rgt` >= 2)) AND (`issues`.`root_id` = 211)) ORDER BY `lft`

  SQL (0.0ms)   SELECT count(*) AS count_all FROM `issues` WHERE (((issues.id != 211) AND (issues.

`lft` <= 1 AND issues.`rgt` >= 2)) AND (`issues`.`root_id` = 211)) 

  CACHE (0.0ms)   SELECT * FROM `users` WHERE (`users`.`id` = 3) AND ( (`users`.`type` = 'User' OR
 `users`.`type` = 'AnonymousUser' ) ) 

  SQL (0.0ms)   SELECT sum(time_entries.hours) AS sum_time_entries_hours FROM `issues` LEFT OUTER 

JOIN `time_entries` ON time_entries.issue_id = issues.id WHERE ((issues.`lft` >= 1 AND issues.`rgt

` <= 2) AND (`issues`.`root_id` = 211)) 

  Version Load (0.0ms)   SELECT * FROM `versions` WHERE (`versions`.`id` = 3) 

  CACHE (0.0ms)   SELECT * FROM `projects` WHERE (`projects`.`id` = 10) 

  CACHE (0.0ms)   SELECT name FROM `enabled_modules` WHERE (`enabled_modules`.project_id = 10) 

  IssueCustomField Load (0.0ms)   SELECT * FROM `custom_fields` WHERE (is_for_all=1) AND ( (`custo

m_fields`.`type` = 'IssueCustomField' ) ) ORDER BY position

  IssueCustomField Load (0.0ms)   SELECT * FROM `custom_fields` INNER JOIN `custom_fields_projects

` ON `custom_fields`.id = `custom_fields_projects`.custom_field_id WHERE (`custom_fields_projects`

.project_id = 10 ) AND ( (`custom_fields`.`type` = 'IssueCustomField' ) ) ORDER BY custom_fields.p

osition

  SQL (0.1ms)   SELECT count(*) AS count_all FROM `attachments` WHERE (`attachments`.container_id 

= 211 AND `attachments`.container_type = 'Issue') 

  IssueRelation Load (0.1ms)   SELECT * FROM `issue_relations` WHERE (`issue_relations`.issue_from

_id = 211) 

Rendered issue_relations/_form (1.5ms)

Rendered issues/_relations (4.1ms)

  IssueStatus Load (0.0ms)   SELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` = '2') LI

MIT 1

  IssueStatus Load (0.0ms)   SELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` = '1') LI

MIT 1

  User Load (0.0ms)   SELECT * FROM `users` WHERE (`users`.`id` = '3') AND ( (`users`.`type` = 'Us

er' OR `users`.`type` = 'AnonymousUser' ) ) LIMIT 1

  User Load (0.0ms)   SELECT * FROM `users` WHERE (`users`.`id` IS NULL) AND ( (`users`.`type` = '

User' OR `users`.`type` = 'AnonymousUser' ) ) LIMIT 1

  Version Load (0.0ms)   SELECT * FROM `versions` WHERE (`versions`.`id` = '3') LIMIT 1

  Version Load (0.0ms)   SELECT * FROM `versions` WHERE (`versions`.`id` IS NULL) LIMIT 1

Rendered issues/_history (4.5ms)

  CACHE (0.0ms)   SELECT `users`.id FROM `users` INNER JOIN `watchers` ON `users`.id = `watchers`.

user_id WHERE ((`watchers`.watchable_id = 211) AND (`watchers`.watchable_type = 'Issue')) AND ( (`

users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 

Rendered issues/_action_menu (5.5ms)

  Tracker Load (0.1ms)   SELECT * FROM `trackers` INNER JOIN `projects_trackers` ON `trackers`.id 

= `projects_trackers`.tracker_id WHERE (`projects_trackers`.project_id = 10 ) ORDER BY trackers.po

sition

  Member Load Including Associations (0.1ms)   SELECT `members`.`id` AS t0_r0, `members`.`user_id`

 AS t0_r1, `members`.`project_id` AS t0_r2, `members`.`created_on` AS t0_r3, `members`.`mail_notif

ication` AS t0_r4, `users`.`id` AS t1_r0, `users`.`login` AS t1_r1, `users`.`hashed_password` AS t

1_r2, `users`.`firstname` AS t1_r3, `users`.`lastname` AS t1_r4, `users`.`mail` AS t1_r5, `users`.

`mail_notification` AS t1_r6, `users`.`admin` AS t1_r7, `users`.`status` AS t1_r8, `users`.`last_l

ogin_on` AS t1_r9, `users`.`language` AS t1_r10, `users`.`auth_source_id` AS t1_r11, `users`.`crea

ted_on` AS t1_r12, `users`.`updated_on` AS t1_r13, `users`.`type` AS t1_r14, `users`.`identity_url

` AS t1_r15, `roles`.`id` AS t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS t2_r2, `roles`.

`assignable` AS t2_r3, `roles`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5 FROM `members` L

EFT OUTER JOIN `users` ON `users`.id = `members`.user_id AND (`users`.`type` = 'User' OR `users`.`

type` = 'AnonymousUser' ) LEFT OUTER JOIN `member_roles` ON (`members`.`id` = `member_roles`.`memb

er_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`role_id`) WHERE (`members`.proj

ect_id = 10 AND (users.type='User' AND users.status=1)) 

  SQL (0.0ms)   SELECT count(*) AS count_all FROM `issue_categories` WHERE (`issue_categories`.pro

ject_id = 10) 

  Project Load (0.1ms)   SELECT * FROM `projects` WHERE (projects.`lft` <= 15 AND projects.`rgt` >

= 16) ORDER BY `lft` LIMIT 1

  CACHE (0.0ms)   SELECT * FROM `projects` WHERE (projects.`lft` <= 15 AND projects.`rgt` >= 16) O

RDER BY `lft` LIMIT 1

  Version Load (0.0ms)   SELECT * FROM `versions` WHERE (`versions`.`id` = 3) LIMIT 1

  Version Load Including Associations (0.1ms)   SELECT `versions`.`id` AS t0_r0, `versions`.`proje

ct_id` AS t0_r1, `versions`.`name` AS t0_r2, `versions`.`description` AS t0_r3, `versions`.`effect

ive_date` AS t0_r4, `versions`.`created_on` AS t0_r5, `versions`.`updated_on` AS t0_r6, `versions`

.`wiki_page_title` AS t0_r7, `versions`.`status` AS t0_r8, `versions`.`sharing` AS t0_r9, `project

s`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homep

age` AS t1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`creat

ed_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `projects`.`s

tatus` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11 FROM `versions` LEFT OUTER

 JOIN `projects` ON `projects`.id = `versions`.project_id WHERE ((`versions`.`status` = 'open') AN

D (projects.id = 10 OR (projects.status = 1 AND ( versions.sharing = 'system' OR (projects.lft >= 
15 AND projects.rgt <= 16 AND versions.sharing = 'tree') OR (projects.lft < 15 AND projects.rgt > 

16 AND versions.sharing IN ('hierarchy', 'descendants')) OR (projects.lft > 15 AND projects.rgt < 

16 AND versions.sharing = 'hierarchy'))))) 

Rendered issues/_form_custom_fields (0.1ms)

Rendered issues/_attributes (15.3ms)

Rendered issues/_form (19.6ms)

  TimeEntryActivity Load (0.1ms)   SELECT * FROM `enumerations` WHERE (`enumerations`.project_id =

 10) AND ( (`enumerations`.`type` = 'TimeEntryActivity' ) ) ORDER BY enumerations.position ASC

  TimeEntryActivity Load (0.1ms)   SELECT * FROM `enumerations` WHERE ((`enumerations`.`active` = 

1 AND `enumerations`.`project_id` IS NULL)) AND ( (`enumerations`.`type` = 'TimeEntryActivity' ) )

 ORDER BY enumerations.position ASC

  CustomField Load (0.0ms)   SELECT * FROM `custom_fields` WHERE (type = 'TimeEntryCustomField') O

RDER BY position

Rendered attachments/_form (0.9ms)

Rendered issues/_edit (28.4ms)

  Token Load (0.1ms)   SELECT * FROM `tokens` WHERE (`tokens`.user_id = 3 AND (action='feeds')) LI

MIT 1

  Query Load (0.0ms)   SELECT id, name FROM `queries` WHERE (1=1 AND (is_public = 1 OR user_id = 3

) AND (project_id IS NULL OR project_id = 10)) ORDER BY name ASC

Rendered issues/_sidebar (3.5ms)

  SQL (0.0ms)   SELECT count(*) AS count_all FROM `users` INNER JOIN `watchers` ON `users`.id = `w

atchers`.user_id WHERE ((`watchers`.watchable_id = 211) AND (`watchers`.watchable_type = 'Issue'))

 AND ( (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 

  User Load (0.1ms)   SELECT `users`.* FROM `users` INNER JOIN `watchers` ON `users`.id = `watcher

s`.user_id WHERE ((`watchers`.watchable_id = 211) AND (`watchers`.watchable_type = 'Issue')) AND (

 (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 

Rendered watchers/_watchers (2.1ms)

  Project Load (0.1ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id

 = `members`.project_id WHERE ((`members`.user_id = 3) AND ((projects.status=1))) 

  SQL (0.0ms)   SELECT count(DISTINCT `versions`.id) AS count_all FROM `versions` LEFT OUTER JOIN 

`projects` ON `projects`.id = `versions`.project_id WHERE (projects.id = 10 OR (projects.status = 

1 AND ( versions.sharing = 'system' OR (projects.lft >= 15 AND projects.rgt <= 16 AND versions.sha

ring = 'tree') OR (projects.lft < 15 AND projects.rgt > 16 AND versions.sharing IN ('hierarchy', '

descendants')) OR (projects.lft > 15 AND projects.rgt < 16 AND versions.sharing = 'hierarchy')))) 

  Wiki Load (0.0ms)   SELECT * FROM `wikis` WHERE (`wikis`.project_id = 10) LIMIT 1

  SQL (0.0ms)   SELECT count(*) AS count_all FROM `boards` WHERE (`boards`.project_id = 10) 

  Repository Load (0.1ms)   SELECT * FROM `repositories` WHERE (`repositories`.project_id = 10) LI

MIT 1

Completed in 101ms (View: 82, DB: 3) | 200 OK [http://projects.biodiversitylibrary.org/issues/211]

Processing WelcomeController#index (for 172.16.18.216 at 2010-11-03 02:58:40) [OPTIONS]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

  SQL (0.1ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  AnonymousUser Load (0.1ms)   SELECT * FROM `users` WHERE ( (`users`.`type` = 'AnonymousUser' ) )

 LIMIT 1

  Role Load (16.6ms)   SELECT * FROM `roles` WHERE (`roles`.`builtin` = 2) LIMIT 1

  News Load Including Associations (0.1ms)   SELECT `news`.`id` AS t0_r0, `news`.`project_id` AS t

0_r1, `news`.`title` AS t0_r2, `news`.`summary` AS t0_r3, `news`.`description` AS t0_r4, `news`.`a

uthor_id` AS t0_r5, `news`.`created_on` AS t0_r6, `news`.`comments_count` AS t0_r7, `users`.`id` A

S t1_r0, `users`.`login` AS t1_r1, `users`.`hashed_password` AS t1_r2, `users`.`firstname` AS t1_r

3, `users`.`lastname` AS t1_r4, `users`.`mail` AS t1_r5, `users`.`mail_notification` AS t1_r6, `us

ers`.`admin` AS t1_r7, `users`.`status` AS t1_r8, `users`.`last_login_on` AS t1_r9, `users`.`langu

age` AS t1_r10, `users`.`auth_source_id` AS t1_r11, `users`.`created_on` AS t1_r12, `users`.`updat

ed_on` AS t1_r13, `users`.`type` AS t1_r14, `users`.`identity_url` AS t1_r15, `projects`.`id` AS t

2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS t2_r2, `projects`.`homepage` AS t2_r

3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_r5, `projects`.`created_on` AS t2

_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `projects`.`status` AS t2

_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11 FROM `news` LEFT OUTER JOIN `users` ON

 `users`.id = `news`.author_id AND (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) 

LEFT OUTER JOIN `projects` ON `projects`.id = `news`.project_id WHERE (((projects.status=1 AND pro

jects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='news')) AND (1=0 OR proje

cts.is_public = 1))) ORDER BY news.created_on DESC LIMIT 5

  SQL (0.0ms)   SELECT count(DISTINCT `members`.id) AS count_all FROM `members` LEFT OUTER JOIN `p

rojects` ON `projects`.id = `members`.project_id LEFT OUTER JOIN `member_roles` ON (`members`.`id`

 = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`role_id`

) WHERE (`members`.user_id = 2 AND (projects.status=1)) 

  Project Load (0.0ms)   SELECT * FROM `projects` WHERE (projects.status=1 AND projects.is_public 
= 1) ORDER BY created_on DESC LIMIT 5

Rendering template within layouts/base

Rendering welcome/index

Rendered news/_news (1.3ms)

  Project Load (0.1ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id

 = `members`.project_id WHERE ((`members`.user_id = 2) AND ((projects.status=1))) 

Completed in 108ms (View: 15, DB: 17) | 200 OK [http://mbgdevlsrv02v05/]

Processing WelcomeController#index (for 172.16.18.216 at 2010-11-03 02:59:40) [OPTIONS]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

  SQL (0.1ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  AnonymousUser Load (0.1ms)   SELECT * FROM `users` WHERE ( (`users`.`type` = 'AnonymousUser' ) )

 LIMIT 1

  Role Load (0.0ms)   SELECT * FROM `roles` WHERE (`roles`.`builtin` = 2) LIMIT 1

  News Load Including Associations (0.1ms)   SELECT `news`.`id` AS t0_r0, `news`.`project_id` AS t

0_r1, `news`.`title` AS t0_r2, `news`.`summary` AS t0_r3, `news`.`description` AS t0_r4, `news`.`a

uthor_id` AS t0_r5, `news`.`created_on` AS t0_r6, `news`.`comments_count` AS t0_r7, `users`.`id` A

S t1_r0, `users`.`login` AS t1_r1, `users`.`hashed_password` AS t1_r2, `users`.`firstname` AS t1_r

3, `users`.`lastname` AS t1_r4, `users`.`mail` AS t1_r5, `users`.`mail_notification` AS t1_r6, `us

ers`.`admin` AS t1_r7, `users`.`status` AS t1_r8, `users`.`last_login_on` AS t1_r9, `users`.`langu

age` AS t1_r10, `users`.`auth_source_id` AS t1_r11, `users`.`created_on` AS t1_r12, `users`.`updat

ed_on` AS t1_r13, `users`.`type` AS t1_r14, `users`.`identity_url` AS t1_r15, `projects`.`id` AS t

2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS t2_r2, `projects`.`homepage` AS t2_r

3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_r5, `projects`.`created_on` AS t2

_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `projects`.`status` AS t2

_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11 FROM `news` LEFT OUTER JOIN `users` ON

 `users`.id = `news`.author_id AND (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) 

LEFT OUTER JOIN `projects` ON `projects`.id = `news`.project_id WHERE (((projects.status=1 AND pro

jects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='news')) AND (1=0 OR proje

cts.is_public = 1))) ORDER BY news.created_on DESC LIMIT 5

  SQL (0.0ms)   SELECT count(DISTINCT `members`.id) AS count_all FROM `members` LEFT OUTER JOIN `p

rojects` ON `projects`.id = `members`.project_id LEFT OUTER JOIN `member_roles` ON (`members`.`id`

 = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`role_id`

) WHERE (`members`.user_id = 2 AND (projects.status=1)) 

  Project Load (0.0ms)   SELECT * FROM `projects` WHERE (projects.status=1 AND projects.is_public 

= 1) ORDER BY created_on DESC LIMIT 5

Rendering template within layouts/base

Rendering welcome/index

Rendered news/_news (1.3ms)

  Project Load (0.1ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id

 = `members`.project_id WHERE ((`members`.user_id = 2) AND ((projects.status=1))) 

Completed in 21ms (View: 16, DB: 0) | 200 OK [http://mbgdevlsrv02v05/]

Processing WelcomeController#index (for 172.16.18.216 at 2010-11-03 03:00:01) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

  SQL (0.1ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  AnonymousUser Load (0.1ms)   SELECT * FROM `users` WHERE ( (`users`.`type` = 'AnonymousUser' ) )

 LIMIT 1

  Role Load (0.0ms)   SELECT * FROM `roles` WHERE (`roles`.`builtin` = 2) LIMIT 1

  News Load Including Associations (0.1ms)   SELECT `news`.`id` AS t0_r0, `news`.`project_id` AS t

0_r1, `news`.`title` AS t0_r2, `news`.`summary` AS t0_r3, `news`.`description` AS t0_r4, `news`.`a

uthor_id` AS t0_r5, `news`.`created_on` AS t0_r6, `news`.`comments_count` AS t0_r7, `users`.`id` A

S t1_r0, `users`.`login` AS t1_r1, `users`.`hashed_password` AS t1_r2, `users`.`firstname` AS t1_r

3, `users`.`lastname` AS t1_r4, `users`.`mail` AS t1_r5, `users`.`mail_notification` AS t1_r6, `us

ers`.`admin` AS t1_r7, `users`.`status` AS t1_r8, `users`.`last_login_on` AS t1_r9, `users`.`langu

age` AS t1_r10, `users`.`auth_source_id` AS t1_r11, `users`.`created_on` AS t1_r12, `users`.`updat

ed_on` AS t1_r13, `users`.`type` AS t1_r14, `users`.`identity_url` AS t1_r15, `projects`.`id` AS t

2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS t2_r2, `projects`.`homepage` AS t2_r

3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_r5, `projects`.`created_on` AS t2

_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `projects`.`status` AS t2

_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11 FROM `news` LEFT OUTER JOIN `users` ON

 `users`.id = `news`.author_id AND (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) 

LEFT OUTER JOIN `projects` ON `projects`.id = `news`.project_id WHERE (((projects.status=1 AND pro

jects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='news')) AND (1=0 OR proje

cts.is_public = 1))) ORDER BY news.created_on DESC LIMIT 5

  SQL (0.1ms)   SELECT count(DISTINCT `members`.id) AS count_all FROM `members` LEFT OUTER JOIN `p

rojects` ON `projects`.id = `members`.project_id LEFT OUTER JOIN `member_roles` ON (`members`.`id`
 = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`role_id`

) WHERE (`members`.user_id = 2 AND (projects.status=1)) 

  Project Load (0.1ms)   SELECT * FROM `projects` WHERE (projects.status=1 AND projects.is_public 

= 1) ORDER BY created_on DESC LIMIT 5

Rendering template within layouts/base

Rendering welcome/index

Rendered news/_news (1.3ms)

  Project Load (0.1ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id

 = `members`.project_id WHERE ((`members`.user_id = 2) AND ((projects.status=1))) 

Completed in 20ms (View: 15, DB: 1) | 200 OK [http://projects.biodiversitylibrary.org/]

Processing WelcomeController#index (for 172.16.18.216 at 2010-11-03 03:00:40) [OPTIONS]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

  SQL (0.1ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  AnonymousUser Load (0.0ms)   SELECT * FROM `users` WHERE ( (`users`.`type` = 'AnonymousUser' ) )

 LIMIT 1

  Role Load (0.0ms)   SELECT * FROM `roles` WHERE (`roles`.`builtin` = 2) LIMIT 1

  News Load Including Associations (0.1ms)   SELECT `news`.`id` AS t0_r0, `news`.`project_id` AS t

0_r1, `news`.`title` AS t0_r2, `news`.`summary` AS t0_r3, `news`.`description` AS t0_r4, `news`.`a

uthor_id` AS t0_r5, `news`.`created_on` AS t0_r6, `news`.`comments_count` AS t0_r7, `users`.`id` A

S t1_r0, `users`.`login` AS t1_r1, `users`.`hashed_password` AS t1_r2, `users`.`firstname` AS t1_r

3, `users`.`lastname` AS t1_r4, `users`.`mail` AS t1_r5, `users`.`mail_notification` AS t1_r6, `us

ers`.`admin` AS t1_r7, `users`.`status` AS t1_r8, `users`.`last_login_on` AS t1_r9, `users`.`langu

age` AS t1_r10, `users`.`auth_source_id` AS t1_r11, `users`.`created_on` AS t1_r12, `users`.`updat

ed_on` AS t1_r13, `users`.`type` AS t1_r14, `users`.`identity_url` AS t1_r15, `projects`.`id` AS t

2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS t2_r2, `projects`.`homepage` AS t2_r

3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_r5, `projects`.`created_on` AS t2

_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `projects`.`status` AS t2

_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11 FROM `news` LEFT OUTER JOIN `users` ON

 `users`.id = `news`.author_id AND (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) 

LEFT OUTER JOIN `projects` ON `projects`.id = `news`.project_id WHERE (((projects.status=1 AND pro

jects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='news')) AND (1=0 OR proje

cts.is_public = 1))) ORDER BY news.created_on DESC LIMIT 5

  SQL (0.0ms)   SELECT count(DISTINCT `members`.id) AS count_all FROM `members` LEFT OUTER JOIN `p

rojects` ON `projects`.id = `members`.project_id LEFT OUTER JOIN `member_roles` ON (`members`.`id`

 = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`role_id`

) WHERE (`members`.user_id = 2 AND (projects.status=1)) 

  Project Load (0.0ms)   SELECT * FROM `projects` WHERE (projects.status=1 AND projects.is_public 

= 1) ORDER BY created_on DESC LIMIT 5

Rendering template within layouts/base

Rendering welcome/index

Rendered news/_news (1.3ms)

  Project Load (0.1ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id

 = `members`.project_id WHERE ((`members`.user_id = 2) AND ((projects.status=1))) 

Completed in 20ms (View: 15, DB: 0) | 200 OK [http://mbgdevlsrv02v05/]

History

#1 - 2010-11-03 10:01 - Holger Just

Judging from the HTTP 400 in your Apache log, it looks like you are running something like mod_security which blocks certain requests from even

reaching the. If so, either disable it or configure it in a way that it does not interfere with Redmine.

#2 - 2010-11-03 13:58 - phil cryer

Holger Just wrote:

Judging from the HTTP 400 in your Apache log, it looks like you are running something like mod_security which blocks certain requests from

even reaching the. If so, either disable it or configure it in a way that it does not interfere with Redmine.

 Thanks for your reply, however the web log shown above is from nginx, I cut out Apache the other day thinking that might be it (although I wasn't

running mod_sec on Apache). Also, most (almost all) of my other issues update without a problem, that's why I can't figure out why some (like this

one) fails every time. I don't see anything different with this issue that would be causing this.

#3 - 2010-11-04 01:09 - phil cryer

- Status changed from New to Resolved
I started getting errors just starting passenger that complained of not being able to fork. Turned out to be memory issues, which turned out to be a

problem of running out of virtual memory. Increased swap and now things are working perfectly. Thanks

#4 - 2010-11-04 11:18 - Felix Schäfer

- Status changed from Resolved to Closed

Thanks for the feedback.
